Share via


Workspaces - List Keys

Lists all the keys associated with this workspace. This includes keys for the storage account, app insights and password for container registry.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/listKeys?api-version=2025-12-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Azure Machine Learning Workspace Name

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ListWorkspaceKeysResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List Workspace Keys

Sample request

POST https://management.azure.com/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/workspaces123/listKeys?api-version=2025-12-01

Sample response

{
  "appInsightsInstrumentationKey": null,
  "containerRegistryCredentials": {
    "location": null,
    "passwords": [
      {
        "name": "password",
        "value": "<value>"
      },
      {
        "name": "password2",
        "value": "0KARRQoQHSUq1yViPWg7YFernOS=Ic/t"
      }
    ],
    "username": "testdemoworkjmjmeykp"
  },
  "notebookAccessKeys": {
    "primaryAccessKey": null,
    "secondaryAccessKey": null
  },
  "userStorageArmId": "/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/ragargeastus2euap/providers/Microsoft.Storage/storageAccounts/testdemoworkazashomr",
  "userStorageKey": null
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ListNotebookKeysResult
ListWorkspaceKeysResult
Password
RegistryListCredentialsResult

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ListNotebookKeysResult

Name Type Description
primaryAccessKey

string (password)

The primary access key of the Notebook

secondaryAccessKey

string (password)

The secondary access key of the Notebook

ListWorkspaceKeysResult

Name Type Description
appInsightsInstrumentationKey

string (password)

The access key of the workspace app insights

containerRegistryCredentials

RegistryListCredentialsResult

notebookAccessKeys

ListNotebookKeysResult

userStorageArmId

string

The arm Id key of the workspace storage

userStorageKey

string (password)

The access key of the workspace storage

Password

Name Type Description
name

string (password)

value

string (password)

RegistryListCredentialsResult

Name Type Description
location

string

The location of the workspace ACR

passwords

Password[]

username

string

The username of the workspace ACR